Bug 111461 - [CI][BAT] igt@runner@aborted - fail - Previous test: nothing, Unclaimed read from register 0x61204
Summary: [CI][BAT] igt@runner@aborted - fail - Previous test: nothing, Unclaimed read ...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: highest normal
Assignee: Matt Roper
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-22 06:14 UTC by Martin Peres
Modified: 2019-09-18 10:02 UTC (History)
2 users (show)

See Also:
i915 platform: CML
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-08-22 06:14:58 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html

Aborting.
Previous test: nothing
Next test: kms_vblank (pipe-a-wait-forked-busy-hang)

Kernel badly tainted (0x200) (check dmesg for details):
	(0x200) TAINT_WARN: WARN_ON has happened.

<4>[   19.541148] ------------[ cut here ]------------
<4>[   19.541158] Unclaimed read from register 0x61204
<4>[   19.541382] WARNING: CPU: 1 PID: 255 at drivers/gpu/drm/i915/intel_uncore.c:1101 __unclaimed_reg_debug+0x40/0x50 [i915]
<4>[   19.541388] Modules linked in: i915 x86_pkg_temp_thermal coretemp cdc_ether usbnet mii crct10dif_pclmul crc32_pclmul snd_hda_intel snd_intel_nhlt snd_hda_codec snd_hwdep ghash_clmulni_intel snd_hda_core snd_pcm prime_numbers i2c_hid
<4>[   19.541436] CPU: 1 PID: 255 Comm: kworker/u32:6 Tainted: G        W         5.3.0-rc5-CI-CI_DRM_6745+ #1
<4>[   19.541442] Hardware name: Intel Corporation WhiskeyLake Client Platform/CometLake H SODIMM (ERB/CRB), BIOS CMLSFWR1.R00.1285.D00.1907121104 07/12/2019
<4>[   19.541455] Workqueue: events_unbound async_run_entry_fn
<4>[   19.541620] RIP: 0010:__unclaimed_reg_debug+0x40/0x50 [i915]
<4>[   19.541629] Code: 74 05 5b 5d 41 5c c3 45 84 e4 48 c7 c0 92 bd 35 a0 48 c7 c6 88 bd 35 a0 48 0f 44 f0 89 ea 48 c7 c7 9b bd 35 a0 e8 60 21 f2 e0 <0f> 0b 83 2d b7 7d 26 00 01 5b 5d 41 5c c3 66 90 41 57 41 56 41 55
<4>[   19.541635] RSP: 0018:ffffc900021b76a0 EFLAGS: 00010086
<4>[   19.541643] RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000003
<4>[   19.541648] RDX: 0000000080000003 RSI: 0000000000000000 RDI: 00000000ffffffff
<4>[   19.541654] RBP: 0000000000061204 R08: 0000000000000000 R09: 0000000000000001
<4>[   19.541660] R10: 00000000c2918b17 R11: 00000000d3b3b592 R12: 0000000000000001
<4>[   19.541665] R13: 0000000000000001 R14: 0000000000000000 R15: 0000000000000206
<4>[   19.541672] FS:  0000000000000000(0000) GS:ffff88844b480000(0000) knlGS:0000000000000000
<4>[   19.541678] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4>[   19.541684] CR2: 00007ffe21779f98 CR3: 0000000005210005 CR4: 00000000003606e0
<4>[   19.541689] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4>[   19.541695] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4>[   19.541700] Call Trace:
<4>[   19.541869]  fwtable_read32+0x233/0x300 [i915]
<4>[   19.542092]  wait_panel_status+0x153/0x230 [i915]
<4>[   19.542323]  edp_panel_on+0x180/0x200 [i915]
<4>[   19.542541]  intel_edp_panel_on+0x23/0x40 [i915]
<4>[   19.542743]  intel_ddi_pre_enable+0x138/0xb60 [i915]
<4>[   19.542980]  intel_encoders_pre_enable.isra.22+0x61/0x80 [i915]
<4>[   19.543193]  haswell_crtc_enable+0x82/0x760 [i915]
<4>[   19.543402]  ? skl_ddi_pll_get_hw_state+0xe7/0x110 [i915]
<4>[   19.543620]  intel_update_crtc+0x52/0x3c0 [i915]
<4>[   19.543836]  skl_update_crtcs+0x1d2/0x2b0 [i915]
<4>[   19.544063]  intel_atomic_commit_tail+0x221/0x1520 [i915]
<4>[   19.544322]  intel_atomic_commit+0x273/0x2f0 [i915]
<4>[   19.544352]  drm_client_modeset_commit_atomic+0x18b/0x220
<4>[   19.544411]  drm_client_modeset_commit_force+0x52/0x1b0
<4>[   19.544435]  drm_fb_helper_restore_fbdev_mode_unlocked+0x42/0x90
<4>[   19.544450]  drm_fb_helper_set_par+0x24/0x50
<4>[   19.544653]  intel_fbdev_set_par+0x11/0x30 [i915]
<4>[   19.544664]  ? con_is_visible+0x22/0x50
<4>[   19.544675]  fbcon_init+0x37c/0x620
<4>[   19.544704]  visual_init+0xc9/0x130
<4>[   19.544719]  do_bind_con_driver+0x200/0x420
<4>[   19.544752]  do_take_over_console+0x71/0x1a0
<4>[   19.544773]  do_fbcon_takeover+0x53/0xb0
<4>[   19.544783]  register_framebuffer+0x229/0x330
<4>[   19.544820]  __drm_fb_helper_initial_config_and_unlock+0x324/0x5c0
<4>[   19.545050]  intel_fbdev_initial_config+0xf/0x20 [i915]
<4>[   19.545064]  async_run_entry_fn+0x34/0x160
<4>[   19.545082]  process_one_work+0x245/0x610
<4>[   19.545117]  worker_thread+0x37/0x380
<4>[   19.545138]  ? process_one_work+0x610/0x610
<4>[   19.545147]  kthread+0x119/0x130
<4>[   19.545158]  ? kthread_park+0xa0/0xa0
<4>[   19.545180]  ret_from_fork+0x24/0x50
<4>[   19.545231] irq event stamp: 85906
<4>[   19.545241] hardirqs last  enabled at (85905): [<ffffffff819cdd0c>] _raw_spin_unlock_irqrestore+0x4c/0x60
<4>[   19.545251] hardirqs last disabled at (85906): [<ffffffff819cdb7d>] _raw_spin_lock_irqsave+0xd/0x50
<4>[   19.545259] softirqs last  enabled at (45792): [<ffffffff81c0033e>] __do_softirq+0x33e/0x4ae
<4>[   19.545266] softirqs last disabled at (45783): [<ffffffff810b8169>] irq_exit+0xa9/0xc0
<4>[   19.545431] WARNING: CPU: 1 PID: 255 at drivers/gpu/drm/i915/intel_uncore.c:1101 __unclaimed_reg_debug+0x40/0x50 [i915]
<4>[   19.545437] ---[ end trace f22211b2f0900dc7 ]---
Comment 1 CI Bug Log 2019-08-22 06:16:54 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* fi-cml-h fi-cml-s: igt@runner@aborted - fail - Previous test: nothing
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4824/fi-cml-u2/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14094/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14095/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14096/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14098/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6744/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6744/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3368/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3368/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5146/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5146/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6746/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6746/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6748/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6748/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14102/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14102/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6749/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6749/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14107/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14107/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14097/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14097/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6745/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6745/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6747/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6747/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14100/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14100/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14103/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14103/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3369/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3369/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14108/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14108/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14109/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14109/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4828/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4828/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6750/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6750/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14110/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14110/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4829/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4830/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4830/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4831/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4831/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14112/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14112/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14113/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14113/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14114/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14114/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4832/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4832/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14115/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14115/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14116/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14116/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14117/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14117/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6751/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6751/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6752/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6752/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14118/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14118/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6753/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6753/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6754/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6754/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14120/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3370/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3370/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14121/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14121/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6755/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6755/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14122/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14122/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14123/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14123/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4833/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4833/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4834/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4834/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14124/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14124/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14119/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14119/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6756/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6756/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6757/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6757/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14125/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14125/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14126/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14126/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6758/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6758/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4835/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4835/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14128/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14128/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14129/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3371/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3371/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14131/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14131/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6759/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6759/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14130/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14130/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14132/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14132/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4836/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4836/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4837/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4837/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4838/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4838/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4839/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4839/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14134/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14134/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4840/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4840/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4841/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4841/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4842/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4842/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_348/fi-cml-s/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6760/fi-cml-h/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6760/fi-cml-s/igt@runner@aborted.html
Comment 2 Caz.Yokoyama 2019-08-22 16:41:54 UTC
Caused by reading from register 0x61204 which does not exist on CML. I give normal for severity and may be fixed as trivial bug.
Comment 3 Jani Saarinen 2019-08-23 06:50:12 UTC
Similar error (different register) seen also on TGL: https://bugs.freedesktop.org/show_bug.cgi?id=111428
=> :<4>[   11.689622] Unclaimed write to register 0x64838 on
Comment 4 anusha 2019-09-10 22:56:46 UTC
I am able to boot CML-S with eDP. I could run some IGT tests. Some subtests fail but IGT runs. 
I do get some PPS mismatch errors and incidently the unclaimed register below belongs to PPS. But either way CI should be able to run CML and have IGT fail.

I suspect something in BIOS might be messed up.
Comment 5 Jani Saarinen 2019-09-11 05:46:51 UTC
Manasi, is dmesg clean so that there is not taints or similar as CI is running such way?
Comment 6 Jani Saarinen 2019-09-12 08:02:23 UTC
Sorry, I mean Anusha.
Comment 7 anusha 2019-09-12 21:47:03 UTC
(In reply to Jani Saarinen from comment #6)
> Sorry, I mean Anusha.

So there are no taints but I do see a lot of "PPS State mismatch" and  eventually a "Panel Power Sequencer failed" This is with eDP. With DP I was able to get it to boot with clean dmesg. 

So either the EDP is disabled or PPS on eDP is disabled(I dont understand why) or we are indeed accessing some register that we should not be. If we are accessing a wrong register then the BSpec should have had some reference as to what the new register is (all the unclaimed register errors that CI is seeing is of PPS related stuff like _PP_CONTROL_ON etc). Also, since nothing has changed between KBL-CFL-CML this failure should have been happening in these systems also.....

Unfortunately the same CML-S system with the exact same hard disk is not booting today for me.
Comment 8 Matt Roper 2019-09-16 23:09:04 UTC
The unclaimed registers in question are 0x6120X, which are the old PPS registers that were used on pre-PCH platforms.  When we access PPS in the code, we use macros that take the old-style PPS register address (e.g., 0x61204), subtract off PPS_BASE (0x61200), and then add the proper base for PPS registers on the current platform (0xC7200 for platforms with a PCH).  See intel_pps_init() for where the PPS base address is determined and the definitions of PP_CONTROL and such for the address math.

The only reason we should be trying to use these old register addresses is if we're failing to detect the PCH.  There's so much dmesg spam that we've lost the beginning of the boot dmesg where the driver prints out the PCH type so it's not very obvious from the log output here.  However CI's lspci output for this CML machine shows a device ID of 0x0681 for device 31, function 0 rather than the 0x0280 that we define INTEL_PCH_CMP_DEVICE_ID_TYPE with in the driver.

Digging through the rest of the lspci for CML machines in CI, the CML-U's do indeed have PCH ID's of 0x0284, whereas the CML-S has 0x0681 and CML-H has 0x068C.  I believe we need to add a #define INTEL_PCH_CMP2_DEVICE_ID_TYPE 0x0680 to capture the ID's used on the S and H sku's.  I'll send along a patch for this shortly.

Note that although PPS is what we see obviously blowing up here, failure to detect the PCH would likely also lead to other problems with display hotplug, backlight, and display audio; I think the "highest" priority for this defect is warranted given those impacts.
Comment 9 Matt Roper 2019-09-16 23:36:41 UTC
Patch here:
  https://patchwork.freedesktop.org/series/66782/
Comment 10 Chris Wilson 2019-09-18 10:02:28 UTC
commit 8698ba53cd7173c32320ebbef4d389d41ebb5780 (HEAD -> drm-intel-next-queued, drm-intel/drm-intel-next-queued)
Author: Matt Roper <matthew.d.roper@intel.com>
Date:   Mon Sep 16 16:32:51 2019 -0700

    drm/i915/cml: Add second PCH ID for CMP
    
    The CMP PCH ID we have in the driver is correct for the CML-U machines we have
    in our CI system, but the CML-S and CML-H CI machines appear to use a
    different PCH ID, leading our driver to detect no PCH for them.
    
    Cc: Rodrigo Vivi <rodrigo.vivi@intel.com>
    Cc: Anusha Srivatsa <anusha.srivatsa@intel.com>
    References: 729ae330a0f2e2 ("drm/i915/cml: Introduce Comet Lake PCH")
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111461
    Signed-off-by: Matt Roper <matthew.d.roper@intel.com>
    Acked-by: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190916233251.387-1-matthew.d.roper@intel.com


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.